import { getResetPasswordActions } from '../password-reset';
import { convertEventRequestBodyFromJsonToFormData } from '../../utils';
export const getResetPasswordEndpoints = (options, adapter, emailProviderConfig, passwordPolicy) => {
    return {
        'POST:/auth/reset-password/initiate-reset': async (event) => {
            const updatedEvent = await convertEventRequestBodyFromJsonToFormData(event);
            return getResetPasswordActions(options, adapter, emailProviderConfig, passwordPolicy).initiateReset(updatedEvent);
        },
        'POST:/auth/reset-password/reset': async (event) => {
            const updatedEvent = await convertEventRequestBodyFromJsonToFormData(event);
            return getResetPasswordActions(options, adapter, emailProviderConfig, passwordPolicy).resetPassword(updatedEvent);
        }
    };
};
