import type { Adapter } from '@auth/core/adapters';
import type { PasswordResetOptions, SecurityConfig } from '../types/config';
import type { EmailProviderConfig } from '../email/types';
export declare class PasswordResetService {
    private options;
    private adapter;
    private emailProvider;
    constructor(options: PasswordResetOptions, adapter: Adapter, emailProvider: EmailProviderConfig);
    initiatePasswordReset(email: string): Promise<string>;
    resetPassword(email: string, token: string, newPassword: string, passwordPolicy: SecurityConfig['passwordPolicy']): Promise<{
        success: boolean;
        error?: string;
    }>;
}
export declare const getResetPasswordActions: (options: PasswordResetOptions | undefined, adapter: Adapter, emailProvider: EmailProviderConfig, passwordPolicy: SecurityConfig["passwordPolicy"]) => {
    initiateReset: ({ request }: import("@sveltejs/kit").RequestEvent<Partial<Record<string, string>>, string | null>) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    resetPassword: ({ request }: import("@sveltejs/kit").RequestEvent<Partial<Record<string, string>>, string | null>) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
};
