export const DefaultGuardianAuthConfig = {
    providers: {
        credentials: {
            enabled: true,
            allowRegistration: true
        }
    },
    security: {
        level: 'moderate',
        maxLoginAttempts: 5,
        lockoutDuration: 15 * 60 * 1000, // 15 minutes
        passwordPolicy: {
            minLength: 12,
            requireUppercase: true,
            requireNumbers: true,
            requireSpecialChars: true
        },
        emailVerification: {
            method: 'otp',
            otpLength: 6,
            otpExpiration: 15
        },
        passwordReset: {
            tokenExpiration: 15
        },
        twoFactorAuth: {
            method: 'totp',
            allowBackupCodes: true,
            backupCodeCount: 5
        }
    },
    events: {},
    logging: {
        enabled: true,
        level: 'info',
        destinations: [{ type: 'console' }]
    }
};
